<div class="container-fluid">
  <!-- Navbar -->
<app-header [user]="user" [knownWordCount]="knownWordCount" [level]="level" (newTargetLang)="onNewTargetLang($event)"></app-header>

<div class="row align-items-center justify-content-center" *ngIf="user">

  <!-- Srednji deo za citanje -->
  <div id="main" class="col-12 col-lg-6 offset-lg-2" *ngIf="course">
    <app-main (context)="onSelectedWord($event)" [currWords]="currWords" [yeziqDB]="yeziqDB" [knownDB]="knownDB"
      [user]="user" [course]="course" [currPage]="currPage" [currPageInd]="currPageInd" [currLessonInd]="currLessonInd" [knownWordCount]="knownWordCount" [level]="level">
    </app-main>
  </div>

  <!-- Loading animacija dok se ucitava stranica -->
  <div class="col-12 col-lg-6 offset-lg-2" *ngIf="!course">
    <app-loading-circle [desc]="langMap.get(user.srcLang).get('loadingPageDesc')"></app-loading-circle>
  </div>

  <!-- Desni deo za prikaz prevoda -->
  <div id="side" class="col-6 col-lg-2">
    <!-- "Dugme" za skrivanje sidebara, prikazuje se samo kod malih uredjaja -->
    <img id="sideToggle" onclick="document.getElementById('side').style.display = 'none'" src="../../assets/black-cross.png"/>

    <app-side *ngIf="selectedWord; else noSelection" [currWords]="currWords" [yeziqDB]="yeziqDB" [knownDB]="knownDB" [user]="user" [knownWordCount]="knownWordCount" [level]="level"
      [selectedWord]="selectedWord" [langMap]="langMap" [hidden]="sideHidden" [dictionaries]="dictionaries" [context]="context"></app-side>
  </div>

  <ng-template #noSelection>
    <p id="sidebarDesc">{{ langMap.get(user.srcLang).get('sidebarDesc') }}</p>
  </ng-template>
</div>
</div>
